<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author        D3 Data Development - Daniel Seifert <support@shopmodule.com>
 * @link          http://www.oxidmodule.com
 */

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';
/**
 * Module information
 */
$aModule = array(
    'id'          => 'd3tooltipp',
    'title'       => (class_exists('d3utils') ? d3utils::getInstance()->getD3Logo() : 'D&sup3;') . ' Tooltipp',
    'description' => array(
        'de' => 'Dieses Modul erstellt bereits auf der Produkt&uuml;bersicht eine kleine Zusammenfassung ' //
            . 'der wichtigsten Artikelinfomationen wie bspw.:<br>' //
            . '<ul>'
            . '<li>Titel<br>' //
            . '<li>Artikelnummer</li>' //
            . '<li>Kurzbeschreibung</li>' //
            . '<li>Preis</li>' //
            . '</ul><br>' //
            . 'Beim "&uuml;berfahren" des Artikelbildes mit dem Mauszeiger (mouseover), werden die o.g. Details ' //
            . 'automatisch in einem sich &ouml;ffnenden Fenster angezeigt. Dieses Informationsfenster ist ' //
            . 'per Template frei anpassbar.',
        'en' => 'n/a',
    ),
    'thumbnail'   => 'picture.png',
    'version'     => '2.1.0.0',
    'author'      => 'D&sup3; Data Development (Inh. Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'http://www.oxidmodule.com',
    'extend'      => array(
        'oxutilsview' => 'd3/d3tooltipp/modules/core/d3_oxutilsview_tooltipp',
    ),
    'events'      => array(
        'onActivate' => 'd3install::checkUpdateStart',
    ),
    'files'       => array(
        'd3tooltipp_update' => 'd3/d3tooltipp/setup/d3tooltipp_update.php',
    ),
    'templates'   => array(
        'd3tooltipp_box.tpl' => 'd3/d3tooltipp/views/tpl/d3tooltipp_box.tpl',
        'd3tooltipp_flow.tpl' => 'd3/d3tooltipp/views/tpl/d3tooltipp_flow.tpl',
    ),
    'blocks'      => array(
        array(
            'template' => 'layout/base.tpl',
            'block'    => 'base_style',
            'file'     => 'views/blocks/layout/d3tooltipp_css.tpl'
        ),
        array(
            'template' => 'layout/base.tpl',
            'block'    => 'base_js',
            'file'     => 'views/blocks/layout/d3tooltipp_js.tpl'
        ),
        array(
            'template' => 'layout/footer.tpl',
            'block'    => 'footer_main',
            'file'     => 'views/blocks/layout/d3tooltipp_footer.tpl'
        ),
        array(
            'template' => 'widget/product/listitem_grid.tpl',
            'block'    => 'd3_tooltipp_listitem_grid_gridpicture',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_infogrid.tpl'
        ),
        // add Flow-Blog in Grid-Template * START
        array(
            'template' => 'widget/product/listitem_grid.tpl',
            'block'    => 'widget_product_listitem_infogrid_gridpicture',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_infogrid.tpl'
        ),
        // add Flow-Blog in Grid-Template * END
        array(
            'template' => 'widget/product/listitem_infogrid.tpl',
            'block'    => 'widget_product_listitem_infogrid_gridpicture',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_infogrid.tpl'
        ),
        array(
            'template' => 'widget/product/listitem_line.tpl',
            'block'    => 'widget_product_listitem_line_picturebox',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_line.tpl'
        ),
        array(
            'template' => 'widget/product/bargainitem.tpl',
            'block'    => 'd3_tooltipp_bargainitem_picture',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_line.tpl'
        ),
        array(
            'template' => 'page/review/review.tpl',
            'block'    => 'widget_product_listitem_line_picturebox',
            'file'     => 'views/blocks/page/review/d3tooltipp_review.tpl'
        ),
        array(
            'template' => 'widget/sidebar/recommendation.tpl',
            'block'    => 'd3_tooltipp_sidebarrecomm_picture',
            'file'     => 'views/blocks/widget/sidebar/d3tooltipp_recommendation.tpl'
        ),

        array(
            'template' => 'widget/product/boxproduct.tpl',
            'block'    => 'widget_product_boxproduct_image',
            'file'     => 'views/blocks/widget/product/d3tooltipp_boxproducts.tpl'
        ),
        array(
            'template' => 'widget/product/compareitem.tpl',
            'block'    => 'd3_tooltipp_compareitem_picture',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_infogrid.tpl'
        ),
    ),
    'settings'       => array(),
    'd3FileRegister' => array(
        'd3/d3tooltipp/metadata.php',
        'd3/d3tooltipp/IntelliSenseHelper.php',
        'd3/d3tooltipp/core/smarty/plugins/insert.d3tooltipp.php',
        'd3/d3tooltipp/translations/de/tooltipps_lang.php',
        'd3/d3tooltipp/views/blocks/layout/d3tooltipp_css.tpl',
        'd3/d3tooltipp/views/blocks/layout/d3tooltipp_js.tpl',
        'd3/d3tooltipp/views/blocks/layout/d3tooltipp_footer.tpl',
        'd3/d3tooltipp/views/blocks/page/review/d3tooltipp_review.tpl',
        'd3/d3tooltipp/views/blocks/widget/product/d3tooltipp_boxproducts.tpl',
        'd3/d3tooltipp/views/blocks/widget/product/d3tooltipp_listitem_infogrid.tpl',
        'd3/d3tooltipp/views/blocks/widget/product/d3tooltipp_listitem_line.tpl',
        'd3/d3tooltipp/views/blocks/widget/product/d3tooltipp_product.tpl',
        'd3/d3tooltipp/views/blocks/widget/sidebar/d3tooltipp_recommendation.tpl',
    ),
);
